<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1" />

<title>Events - Calendar Grid Layout</title>

<style>
body { font:16px/1.75 Verdana, Arial, Helvetica, sans-serif; color:#666; padding:1em; overflow-y:scroll }
h2 { text-align:center }

.calendar-wrapper { position:relative; display:block; margin:2em auto; background:#f5f5f5; border:1px solid #eee; max-width:58em; padding:1.5em 3em 3em; border-radius:0.35em; box-shadow:0 2px 4px 0 rgba(0,0,0,0.25) }
.calendar-ring { display:block; position:absolute; top:-2.75em; left:50%; width:1em; height:5em; border-radius:0.5em; border:1px solid #999; background:#cecece; background-image:-webkit-linear-gradient(left,#e2e2e2,#adadad); background-image:linear-gradient(to right,#e2e2e2,#adadad); box-shadow:inset 0 4px 10px 0 rgba(0,0,0,0.5), inset 0 -8px 6px 0 rgba(0,0,0,0.5), inset 0 55px 15px 0 rgba(255,255,255,0.85), 0 10px 8px 0 rgba(0,0,0,0.35), 0 5px 0 0 rgba(0,0,0,0.75) }
.calendar-ring:before { content:''; display:block; position:absolute; z-index:-1; width:1.25em; height:1.25em; bottom:-0.5em; left:-0.125em; background:#333; border-radius:50% }
.calendar-ring:after { content:''; display:block; position:absolute; z-index:1; width:0.5em; height:2.25em; top:1em; left:0.25em; background:rgba(255,255,255,0.35); border-radius:0.25em }
.calendar-ring-left { margin-left:-20em }
.calendar-ring-right { margin-left:18.75em }
#calendar-prev, #calendar-next { position:absolute; top:3.35em; left:50%; padding:0; border:0; font:1em/2 Arial; text-indent:0.1875em; text-align:center; color:#fff; background:#222; width:2em; border-radius:2em; cursor:pointer; box-shadow:0 0 0 3px rgb(255,255,255), 0 0 0 4px rgb(102,102,102) }
#calendar-prev { margin-left:-10em; -webkit-transform:scale(-1,1); -ms-transform:scale(-1,1); transform:scale(-1,1) }
#calendar-next { margin-left:8em }
#calendar-prev:hover, #calendar-next:hover, #calendar-prev:focus, #calendar-next:focus { background:#666; color:#222 }
.calendar-month-text { display:block; width:8em; margin:1em auto; text-align:center; font-size:1.5em; font-weight:bold; text-decoration:none }
.calendar-month-text:link, .calendar-month-text:visited, .calendar-month-text:active { color:#333 }
.calendar-month-text:hover, .calendar-month-text:focus { color:#666 }
.calendar { position:relative; margin:auto; border-collapse:separate; border-spacing:0.25em; background:#fff; border-radius:0.25em; box-shadow:0 2px 5px 1px rgba(0,0,0,0.25) }
.calendar-row.no-events { position:absolute; z-index:2; top:1px; left:1px; bottom:1px; right:1px; text-align:center; background:rgba(255,255,255,0.75) }
.calendar-row.no-events td { position:absolute; top:50%; left:50%; -webkit-transform:translate(-50%, -50%); -ms-transform:translate(-50%, -50%); transform:translate(-50%, -50%) }
.calendar-row.no-events span { display:inline-block; font-weight:bold; white-space:nowrap }
.calendar-day { position:relative }
.calendar-day-np { background:#eee }
.calendar-day-head, .calendar-row.no-events span { color:#fff; text-align:center; padding:0.5em; border-radius:0.25em; border:1px solid #287acc; background:#39f; background-image:-webkit-linear-gradient(top,#39f,#2e81d5); background-image:linear-gradient(to bottom,#39f,#2e81d5); text-shadow:0 -1px 0 rgba(0,0,0,0.25) }
.day-number { position:absolute; z-index:1; top:0; right:0; background:#aaa; padding:0 0.175em; color:#fff; font-size:0.875em; line-height:1.5; width:1.5em; text-align:center; border-top-right-radius:0.35em }
.calendar-day-today .day-number { background:#39f }
.calendar-day, .calendar-day-np { width:10em; height:6em; font-size:0.75em; padding:0.75em 0.35em; border-radius:0.25em; box-shadow:0 0 0 1px rgb(221,221,221) }
.calendar-day.has-event { background:#eaf5ff }
.calendar-event { float:left }
.calendar-event.has-popup:after { content:'\24d8'; display:block; float:right; position:relative; margin-top:-2.5em; right:-0.5em; width:1em; margin-right:1px; height:1em; font-size:0.75em; line-height:1; text-align:center; color:#39f; background:#fff; border:1px solid #fff; border-radius:50% }
.calendar-event-title { margin:2% 0; color:#666; text-decoration:none; display:table; table-layout:fixed; width:100%; white-space:nowrap /* http://collaboradev.com/2015/03/28/responsive-css-truncate-and-ellipsis/ */ }
.calendar-event-title.active, .calendar-event-title:hover, .calendar-event-title:focus { color:#333; background:#fff; border-radius:0.25em }
.no-popup .calendar-event-title.active, .no-popup .calendar-event-title:hover, .no-popup .calendar-event-title:focus { color:#666; background:transparent; cursor:default; -webkit-tap-highlight-color:rgba(0,0,0,0) }
.calendar-event-title > span { pointer-events:none; display:table-cell; overflow:hidden; text-overflow:ellipsis }
.calendar-event-popup { cursor:pointer; opacity:0; display:block; position:absolute; left:50%; z-index:-1; width:20em; margin-left:-10.25em; margin-bottom:1em; background:#eaf5ff; border:2px solid #ddd; border-radius:0.5em; box-shadow:0 2px 5px 0 rgba(0,0,0,0.35) }
.calendar-event-popup:before { content:''; display:block; position:absolute; z-index:-1; top:-2em; left:0; bottom:0; right:0 } /* transparent element sits over .calendar-event-title so that onmouseleave event fires without needing to hover over .calendar-event-popup */
.calendar-day:first-child .calendar-event-popup { left:0; margin-left:0 }
.calendar-day:last-child .calendar-event-popup { left:auto; right:1.5em; margin-left:0 }
.calendar-event-popup-title { cursor:default; display:block; padding:0.5em 1em; font-weight:bold; text-align:center; background:#f3f3f3; border-bottom:1px solid #ddd }
.calendar-event-popup-close { display:block; position:absolute; top:-0.65em; right:-0.65em; cursor:pointer; width:1em; height:1em; font-size:2em; font:bold 2.5em/1.05 Arial; text-align:center; text-decoration:none; color:#fff; background:#222; border:3px solid #fff; border-radius:50%; box-shadow:0 0 0 1px rgb(102,102,102) }
.calendar-event-popup-close:hover, .calendar-event-popup-close:focus { background:#666; color:#222 }
.calendar-event-popup-content { cursor:default; display:block; padding:0.5em 1em }
.calendar-event-popup-time { display:block; font-weight:bold }
.calendar-event-popup-cat { display:block; font-size:0.875em; font-weight:bold; text-align:center; margin-top:0.5em }
.calendar-event-popup-date { cursor:default; display:block; padding:0.625em 1em 0.75em; font-size:0.825em; text-align:center; background:#f6f6f6; border-top:1px solid #ddd }
.calendar-event-title.active + .calendar-event-popup { opacity:1; z-index:2; -webkit-transition:opacity .25s ease-in-out; transition:opacity .25s ease-in-out }
.calendar-event-popup .more { display:inline-block; margin:0.5em 0; padding:0.25em 0.5em; border-radius:0.25em; border:1px solid #287acc; background:#39f; background-image:-webkit-linear-gradient(top,#39f,#2e81d5); background-image:linear-gradient(to bottom,#39f,#2e81d5); text-shadow:0 -1px 0 rgba(0,0,0,0.25); color:#fff; text-decoration:none }
.calendar-event-popup .more:hover, .calendar-event-popup .more:focus { background:#54a8fc; background-image:-webkit-linear-gradient(top,#54a8fc,#39f); background-image:linear-gradient(to bottom,#54a8fc,#39f); cursor:pointer }

@media(max-width:56em) {
	.calendar-ring-left { margin-left:-17.5em }
	.calendar-ring-right { margin-left:16.25em }
	.calendar-day, .calendar-day-np { height:7vw }
	.calendar-event.has-popup:after { margin-top:-2.35em }
	.calendar-event-title { margin:1% 0 }
}

@media(max-width:46em) {
	.calendar-wrapper { border:0; padding:0; box-shadow:none; background:transparent }
	.calendar-ring { display:none }
	#calendar-prev, #calendar-next { top:0.35em }
	.calendar { font-size:0.9375em }
	.calendar-day-head { font-size:0.9375em; padding:1% }
	.calendar-row.no-events span { font-size:0.875em }
	.day-number { padding:0 0.125em; font-size:0.75em }
	.calendar-day, .calendar-day-np { font-size:0.75em } 
	.calendar-day:nth-of-type(2) .calendar-event-popup { left:0; margin-left:0 }
	.calendar-day:nth-of-type(6) .calendar-event-popup { left:auto; right:0; margin-left:0 }
	.calendar-event.has-popup:after { margin-top:-2.125em }
	.calendar-event-title { margin:0 }
}

@media(max-width:35em) {
	.calendar-day-head { font-size:0.875em }
}

@media(max-width:25em) {
	#calendar-prev, #calendar-next { margin:0; left:auto; top:0 }
	#calendar-prev { left:0 }
	#calendar-next { right:0 }
	.calendar-month-text { font-size:1.25em }
	.calendar, .calendar-day { border:0; border-radius:0; box-shadow:none }
	.calendar { border:1px solid #ddd; border-bottom:0 }
	.calendar, .calendar thead, .calendar tbody, .calendar-day-head, .calendar-day, .calendar-row, .calendar-row.no-events td { display:block }
	.calendar-day { display:none; width:auto; height:auto; padding:0.5em 0.35em }
	.calendar-day.has-event { display:block; padding:0.35em }
	.day-number { font-size:0.875em; border-radius:0.25em; top:0.4em; right:0.4em; line-height:2; height:2em; padding:0 0.35em; text-shadow:0 -1px 0 rgba(0,0,0,0.25) }
	.calendar-day-np, .calendar-event-popup:before { display:none }
	.calendar thead .calendar-row { position:absolute; top:-9999px; left:-9999px }
	.calendar-row.no-events { position:static; border-bottom:1px solid #ddd }
	.calendar-row.no-events td { position:static; left:auto; right:auto; padding:0.5em 0.35em; -webkit-transform:none; -ms-transform:none; transform:none }
	.calendar-day { position:relative; border:0; border-bottom:1px solid #ddd }
	.calendar-day:before { font-weight:bold; display:inline-block; font-size:1em; line-height:1.75; height:1.75em; color:#fff; text-align:center; margin-bottom:0.5em; padding:0 0.5em; border-radius:0.25em; background:#39f; background-image:-webkit-linear-gradient(top,#39f,#2e81d5); background-image:linear-gradient(to bottom,#39f,#2e81d5); text-shadow:0 -1px 0 rgba(0,0,0,0.25) }
	.calendar-day-one:before { content:"Sunday" }
	.calendar-day-two:before { content:"Monday" }
	.calendar-day-three:before { content:"Tuesday" }
	.calendar-day-four:before { content:"Wednesday" }
	.calendar-day-five:before { content:"Thursday" }
	.calendar-day-six:before { content:"Friday" }
	.calendar-day-seven:before { content:"Saturday" }
	.calendar-day-one:after, .calendar-day-seven:after { pointer-events:none; content:""; display:block; position:absolute; top:0; left:0; bottom:0; right:0; background:rgba(0,0,0,0.05) }
	.calendar-event { float:none }
	.calendar-event.has-popup:after { right:0; margin-top:-1.65em; margin-right:0 }
	.calendar-event-title, .calendar-event-title > span { display:block }
	.calendar-day .calendar-event-popup, .calendar-day:last-child .calendar-event-popup, .calendar-day:nth-of-type(6) .calendar-event-popup { width:auto; left:0; right:0; margin-left:0 }
}
</style>

<!--[if IE 8]>
<style>
#calendar-prev { filter:progid:DXImageTransform.Microsoft.BasicImage(rotation=2) }
.calendar-day-head { filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff3399ff',endColorstr='#ff2e81d5',GradientType=0) }
.calendar, .calendar-day, .calendar-day-np { border:1px solid #ddd }
.calendar-ring { display:none }
.no-events.calendar-row { filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#bfffffff,endColorstr=#bfffffff) }
.no-events.calendar-row td { top:0; left:0; bottom:0; right:0 }
.no-events.calendar-row span { position:relative; top:43% }
</style>
<![endif]-->

</head>
<body>


<?php 

include_once('../fast_cal/fast_cal_config.php'); 
include_once('../fast_cal/fast_cal_functions.php');

$month = date('n'); // this month		     
$year = date('Y'); // this year
$events = getMonthEventsfc($entry_root, $entry_status, $month, $year); // this month's events

?> 

<div class="calendar-wrapper">
	<span class="calendar-ring calendar-ring-left"></span>
	<span class="calendar-ring calendar-ring-right"></span>
	<button id="calendar-prev" title="Previous month">&#9658;</button><button id="calendar-next" title="Next month">&#9658;</button>
	<span id="calendar">
	<?php echo '<a href="sample_calendar_list.php?yr='.$year.'&m='.$month.'#'.strtolower(date('M')).'" class="calendar-month-text" title="View full page">'.date('M').' '.$year.'</a>
	'.draw_calendarfc($month, $year, $events, $start_day, $headings, $categories, $domain); // markup for the calendar can be changed in '../fast_cal_functions.php'
	?>
	</span>
</div>

<script>
function hasClass(el, cls){
	if (el.className.match('(?:^|\\s)'+cls+'(?!\\S)')) { return true; } 
	}
function addClass(el, cls){
	if (!el.className.match('(?:^|\\s)'+cls+'(?!\\S)')){ el.className += ' '+cls; } 
	}
function delClass(el, cls){
	el.className = el.className.replace(new RegExp('(?:^|\\s)'+cls+'(?!\\S)'),'');
	}
function addEventHandler(elem, event, fn, bub){
	if (elem.addEventListener){
		elem.addEventListener(event, fn, bub);
	} else if (elem.attachEvent){
		elem.attachEvent('on'+event, fn); 
		}
	}
function getEventTarget(evt){
	evt = evt || window.event;
	return evt.target || evt.srcElement;
	}
function prevElementSibling(el){
	if (el.previousElementSibling){ return el.previousElementSibling; } 
	else { el = el.previousSibling; while (el.nodeType !== 1) { return el.previousSibling; } }
	}
function calendarAJAX(el, inc){
	var post = 'inc='+inc; // post string
	var req = new XMLHttpRequest();
	req.open('POST', 'ajax_calendar_next_prev_month.php', true);
	req.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	req.onreadystatechange = function(){
		if (req.readyState != 4 || req.status != 200) return; 
		calendar.innerHTML = req.responseText;
		};
	req.send(post);
	}
function calendarPopup(evt, trigger, action){
	var elem = getEventTarget(evt);
	if (hasClass(elem, trigger)){ /* .calendar-event-title > span { pointer-events:none } for better touch activation */
		if (action == 'show'){ 
			addClass(elem, 'active'); 
		} else if (action == 'close'){ 
			delClass(prevElementSibling(elem.parentNode), 'active'); 
		} else if (action == 'hide'){ 
			setTimeout(function(){ delClass(prevElementSibling(elem), 'active') }, 500); 
			}
		}
	}

(function(){
	var calendar = document.getElementById('calendar'),
	calendar_inc = 0;

	addEventHandler(document.getElementById('calendar-next'), 'click', function(){ 
		++calendar_inc;
		calendarAJAX(this, calendar_inc);
		}, false);
	addEventHandler(document.getElementById('calendar-prev'), 'click', function(){ 
		--calendar_inc;
		calendarAJAX(this, calendar_inc);
		}, false);
	addEventHandler(calendar, 'mouseover', function(evt){ calendarPopup(evt, 'calendar-event-title', 'show'); }, false);
	addEventHandler(calendar, 'focus', function(evt){ calendarPopup(evt, 'calendar-event-title', 'show'); }, true);
	addEventHandler(calendar, 'click', function(evt){ calendarPopup(evt, 'calendar-event-popup-close', 'close'); }, false);
	addEventHandler(calendar, 'blur', function(evt){ calendarPopup(evt, 'calendar-event-popup-close', 'close'); }, true);
	addEventHandler(calendar, 'mouseleave', function(evt){ calendarPopup(evt, 'calendar-event-popup', 'hide'); }, true);
})();
</script>

</body>
</html>		