<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1" />

<title>Events - Calendar List Layout</title>

<style>
body { font:16px/1.75 Verdana, Arial, Helvetica, sans-serif; color:#666; padding:1em }
h2 { text-align:center }

#calendar { display:block; max-width:72em; margin:auto }
.calendar-row:nth-child(odd) { background:#eee }
.calendar-day { padding:0.5em 1em; border:1px solid #ddd }
.calendar-day-event { padding-right:2em }
.calendar-event-title { display:block; color:#666; text-decoration:none }
.calendar-event-title.active, .calendar-event-title:hover, .calendar-event-title:focus { color:#333 }
.no-popup .calendar-event-title.active, .no-popup .calendar-event-title:hover, .no-popup .calendar-event-title:focus { color:#666; cursor:default; -webkit-tap-highlight-color:rgba(0,0,0,0) }
.calendar-event-popup { opacity:0; display:block; position:absolute; z-index:-1; left:-6em; right:-2em; margin-bottom:1em; background:#ffc; border:2px solid #ddd; border-radius:0.5em; box-shadow:-1px 2px 5px 0 rgba(0,0,0,0.35) }
.calendar-event-popup-title { display:block; padding:0.5em 1em; font-weight:bold; text-align:center; background:#f3f3f3; border-bottom:1px solid #ddd }
.calendar-event-popup-close { display:block; position:absolute; top:-0.65em; right:-0.65em; cursor:pointer; width:1em; height:1em; font-size:2em; font:bold 2.5em/1.05 Arial; text-align:center; text-decoration:none; color:#fff; background:#000; border:3px solid #fff; border-radius:50%; box-shadow:0 0 0 1px rgb(102,102,102) }
.calendar-event-popup-close:hover, .calendar-event-popup-close:focus { background:#333 }
.calendar-event-popup-content { display:block; padding:0.5em 1em }
.calendar-event-popup-time { display:block; font-weight:bold }
.calendar-event-popup-cat { display:block; font-size:0.875em; font-weight:bold; text-align:center; margin-top:0.5em }
.calendar-event-popup-date { display:block; padding:0.625em 1em 0.75em; font-size:0.825em; text-align:center; background:#f6f6f6; border-top:1px solid #ddd }
.calendar-event-title.active + .calendar-event-popup { opacity:1; z-index:2; -webkit-transition:opacity .25s ease-in-out; transition:opacity .25s ease-in-out }
.calendar-event-popup .more { display:inline-block; margin:0.5em 0; padding:0.25em 0.5em; border-radius:0.25em; border:1px solid #287acc; background:#39f; background-image:-webkit-linear-gradient(top,#39f,#2e81d5); background-image:linear-gradient(to bottom,#39f,#2e81d5); text-shadow:0 -1px 0 rgba(0,0,0,0.25);  color:#fff; text-decoration:none }
.calendar-event-popup .more:hover, .calendar-event-popup .more:focus { background:#54a8fc; background-image:-webkit-linear-gradient(top,#54a8fc,#39f); background-image:linear-gradient(to bottom,#54a8fc,#39f); cursor:pointer }

.calendar-month { position:relative; float:left; width:49%; margin:1em 1% 1em 0; font-size:0.875em; border-collapse:collapse }
.calendar-month-title { font-size:1.25em; font-weight:bold; border-top:0.25em solid #666; border-bottom:0.25em solid #666 }
.calendar-month td:first-child { width:3em; text-align:center }
.calendar-month.nov, .calendar-month.jan, .calendar-month.mar, .calendar-month.may, .calendar-month.jul, .calendar-month.sep { clear:both }

.calendar-event { display:block; position:relative }
.calendar-event.has-popup:before { content:'\24d8'; display:block; position:absolute; top:50%; margin-top:-0.5em; right:-2em; margin-right:1px; width:1em; height:1em; font-size:0.75em; line-height:1; text-align:center; color:#39f; background:#fff; border:1px solid #fff; border-radius:50% }
.calendar-event.has-cat:after { content:''; display:block; position:absolute; top:-0.5em; left:-1.3em; bottom:-0.5em; width:0.5em }
.calendar-event.event-red:after, .calendar-legend-category .event-red { background:red }
.calendar-event.event-blue:after, .calendar-legend-category .event-blue { background:blue }
.calendar-event.event-green:after, .calendar-legend-category .event-green { background:green }
.calendar-event.event-gold:after, .calendar-legend-category .event-gold { background:gold }
.calendar-event.event-violet:after, .calendar-legend-category .event-violet { background:blueviolet }
.calendar-legend { text-align:center; margin:1em 0 }
.calendar-legend-category { display:inline-block; font-weight:bold; margin:1em 3em 0 0; white-space:nowrap }
.calendar-legend-category span { display:inline-block; vertical-align:middle; width:1.5em; height:1.5em; margin-right:0.5em }

@media(max-width:40em) {
	.calendar-month { width:100%; margin-right:0 }
}
</style>

</head>
<body>


<?php 

include_once('../fast_cal/fast_cal_config.php'); 
include_once('../fast_cal/fast_cal_functions.php');

$month = date('n');			     
$year = date('Y');
$m = isset($_GET['m']) ? $_GET['m'] : $month;
$yr = isset($_GET['yr']) ? $_GET['yr'] : $year;

function draw_eventsfc($month, $year, $array, $headings, $categories, $domain){ // adapted from https://davidwalsh.name/php-calendar
	$month_full = date('F', mktime(0,0,0,$month,1,$year));
	$month_three = strtolower(date('M', mktime(0,0,0,$month,1,$year)));
	$days_in_month = date('t',mktime(0,0,0,$month,1,$year));

	$calendar = '<table id="'.$month_three.'" class="calendar-month '.$month_three.'">';
	$calendar.= '<tr class="calendar-row"><td class="calendar-day calendar-month-title" colspan="2">'.$month_full.'</td></tr>';

	for($list_day = 1; $list_day <= $days_in_month; $list_day++):

	foreach ($array as $value) { 
		$created = explode("_", substr(basename($value),0,strrpos(basename($value),'.'))); // explode at '_' and strip the .txt extension  
		$mnth = date('M', mktime(0, 0, 0, $created[1], 10));
		$day = date('j', mktime(0, 0, 0, 0, $created[2], 10));	
		$wday = date('l', strtotime("$day-$mnth-$created[0]")); // D or l
		$th = date('S', mktime(0, 0, 0, 0, $day, 10));

		$segment = explode("||", file_get_contents($value));
		$news_title = utf8_encode($segment[0]);
		$news_entry = utf8_decode($segment[1]);
		$news_link = $segment[2];
		$news_cat = $segment[3];
		$tags = array('p'); // strip_only function - html tags to be stripped (will strip differing contents of title tag too)
		$description = strip_onlyfc($news_entry, $tags); // strip_only function - replace tags + attributes but leaves contents

		if ( $segment[4] == '00:00' && $segment[5] == '00:00' ) { 
			$time = ''; 
			} else {
			$time = '<span class="calendar-event-popup-time">Time: '.$segment[4].' - '.$segment[5].'</span>'; 
			}

		if (( $news_link == 'Paste an event link here' ) || ( $news_link == ' ' )) { 
			$link = '';
			}
			else if (strpos($news_link, $domain) !== false) { // check if link is from same domain
				$news_link = str_replace(' ', '%20', $news_link);
				if (strpos($news_link, '/userfiles/') !== false) { // check if it's an internal userfile
					$link = "<a class=\"more\" href=\"$news_link\" title=\"View the file for '$news_title'...\" target=\"_blank\">View File...</a>"; 
					} else { // it's an internal web page
					$news_file = explode('.', $news_link); // breaks up string
 					$extension = array_pop($news_file); // pops off last element in array
 					$news_file_noext = implode('.', $news_file); // makes new array
					$news_file_noext = str_replace($domain, '', $news_file_noext);

					$link = "<a class=\"more\" href=\"$news_link\" title=\"Read more about '$news_title'...\">Read More...</a>"; 
					}
			} else { // link is from an external domain
			$link = "<a class=\"more\" href=\"$news_link\" title=\"Visit now to learn about '$news_title'...\" target=\"_blank\">Visit Now...</a>"; 
			}

		if ( $news_cat == '- no category -' ) { 
			$cat = $cat_class = ''; 
			} else {
			$cat = '<span class="calendar-event-popup-cat">[Category: '.$news_cat.']</span>'; 
			if (array_key_exists($news_cat, $categories)) {
				$cat_class = ' has-cat '.$categories[$news_cat];
				} 
			}

		if ( $description != '' && $description != 'Type your event description here') {
			$popup_class = ' has-popup';
			$tabindex = '';
			$popup = '
					<span class="calendar-event-popup">
					<span class="calendar-event-popup-title">'.$news_title.'</span>
					<span class="calendar-event-popup-content">'.$time.$description.'<br/>'.$link.$cat.'</span>
					<span class="calendar-event-popup-date">'.$wday.', '.$day.$th.' '.$mnth.' '.$created[0].'</span>
					<a href="javascript:void(0)" class="calendar-event-popup-close">&times;</a>
				</span>
				';
			} else {
			$popup_class = ' no-popup';
			$tabindex = 'tabindex="-1"';
			$popup= '';
			}

		if ( ($year == $created[0]) && ($month == $created[1]) && ($list_day == $day) ) { 
			$calendar.= '<tr class="calendar-row"><td class="calendar-day">'.$day.$th.'</td><td class="calendar-day calendar-day-event">
				<span class="calendar-event'.$popup_class.$cat_class.'">
					<a href="javascript:void(0)" class="calendar-event-title" '.$tabindex.'>'.$news_title.'</a>
					'.$popup.'
			</span></td></tr>'; 
			}
		}

	endfor;

	$calendar.= '</tbody>';
	$calendar.= '</table>';
	return $calendar;
	}

?> 


<?php

if (in_array($m, array(9,10,11,12))) { // if school year
	$yr++;
	}

echo '<h2>School Calendar '.($yr-1).' / '.$yr.'</h2>';

ksort($categories);
echo '<div class="calendar-legend">';
foreach($categories as $key => $val) {
	echo "<span class='calendar-legend-category'><span class='$val'></span>$key</span>\n";
	}
echo '</div>';
?>

<span id="calendar">
<?php 
echo draw_eventsfc(9,  $yr-1, getMonthEventsfc($entry_root, $entry_status, 9,  $yr-1), $headings, $categories, $domain); 
echo draw_eventsfc(10, $yr-1, getMonthEventsfc($entry_root, $entry_status, 10, $yr-1), $headings, $categories, $domain); 
echo draw_eventsfc(11, $yr-1, getMonthEventsfc($entry_root, $entry_status, 11, $yr-1), $headings, $categories, $domain); 
echo draw_eventsfc(12, $yr-1, getMonthEventsfc($entry_root, $entry_status, 12, $yr-1), $headings, $categories, $domain); 
echo draw_eventsfc(1,  $yr,   getMonthEventsfc($entry_root, $entry_status, 1,  $yr),   $headings, $categories, $domain); 
echo draw_eventsfc(2,  $yr,   getMonthEventsfc($entry_root, $entry_status, 2,  $yr),   $headings, $categories, $domain); 
echo draw_eventsfc(3,  $yr,   getMonthEventsfc($entry_root, $entry_status, 3,  $yr),   $headings, $categories, $domain); 
echo draw_eventsfc(4,  $yr,   getMonthEventsfc($entry_root, $entry_status, 4,  $yr),   $headings, $categories, $domain); 
echo draw_eventsfc(5,  $yr,   getMonthEventsfc($entry_root, $entry_status, 5,  $yr),   $headings, $categories, $domain);
echo draw_eventsfc(6,  $yr,   getMonthEventsfc($entry_root, $entry_status, 6,  $yr),   $headings, $categories, $domain);  
echo draw_eventsfc(7,  $yr,   getMonthEventsfc($entry_root, $entry_status, 7,  $yr),   $headings, $categories, $domain); 
?>
</span>
<br style="clear:both"/>

<script>
function hasClass(el, cls){
	if (el.className.match('(?:^|\\s)'+cls+'(?!\\S)')) { return true; } 
	}
function addClass(el, cls){
	if (!el.className.match('(?:^|\\s)'+cls+'(?!\\S)')){ el.className += ' '+cls; } 
	}
function delClass(el, cls){
	el.className = el.className.replace(new RegExp('(?:^|\\s)'+cls+'(?!\\S)'),'');
	}
function addEventHandler(elem, event, fn, bub){
	if (elem.addEventListener){
		elem.addEventListener(event, fn, bub);
	} else if (elem.attachEvent){
		elem.attachEvent('on'+event, fn); 
		}
	}
function getEventTarget(evt){
	evt = evt || window.event;
	return evt.target || evt.srcElement;
	}
function prevElementSibling(el){
	if (el.previousElementSibling){ return el.previousElementSibling; } 
	else { el = el.previousSibling; while (el.nodeType !== 1) { return el.previousSibling; } }
	}
function calendarPopup(evt, trigger, action){
	var elem = getEventTarget(evt);
	if (hasClass(elem, trigger)){
		if (action == 'show'){ 
			addClass(elem, 'active'); 
		} else if (action == 'close'){ 
			delClass(prevElementSibling(elem.parentNode), 'active'); 
		} else if (action == 'hide'){ 
			setTimeout(function(){ delClass(prevElementSibling(elem), 'active') }, 500); 
			}
		}
	}

(function(){
	addEventHandler(calendar, 'click', function(evt){ calendarPopup(evt, 'calendar-event-title', 'show'); }, false);
	addEventHandler(calendar, 'focus', function(evt){ calendarPopup(evt, 'calendar-event-title', 'show'); }, true);
	addEventHandler(calendar, 'click', function(evt){ calendarPopup(evt, 'calendar-event-popup-close', 'close'); }, false);
	addEventHandler(calendar, 'blur', function(evt){ calendarPopup(evt, 'calendar-event-popup-close', 'close'); }, true);
	addEventHandler(calendar, 'mouseleave', function(evt){ calendarPopup(evt, 'calendar-event-popup', 'hide'); }, true);
})();
</script>

</body>
</html>		