<?php 
/*
Fast Cal 1.0 - A fast, free and easy application for managing calendar events.
(C) 2011 Beverley Hooton (author website - http://fast-apps.co.uk/)

    Fast Cal is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

include('fast_cal_config.php');
include('fast_cal_functions.php');

if ($_SESSION['fcusername']) {

	$_SESSION['editfile'] = isset($_GET['editfile']) ? $_GET['editfile'] : '';
	$action_edit = isset($_GET['action_edit']) ? $_GET['action_edit'] : '';
	$editfile = isset($_GET['editfile']) ? $_GET['editfile'] : '';

	$all_events = getAllFilesfc($entry_root);
	$all_status = getAllFilesfc($entry_status);
	$live_entries = count($all_events) - count($all_status);

	$page_array = $all_events;

	if (isset($_GET['action_edit'])) {
		list($data_t, $data, $data_l, $data_c, $data_ts, $data_te) = explode("||", @file_get_contents($entry_root.$editfile)); // populate fast-note textarea with entry.txt page
		$data_t = htmlspecialchars($data_t, ENT_QUOTES);
		$data_d = str_replace('_', '/', (substr($editfile, 0, -21))); // 1st part of filename changed with date picker
		$data_d2 = date("H");
		$data_d3 = date("i");
		$data_d4 = time();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='save') ) { // save changes
		$editfile = $_POST['editfile'];
		$_POST['fastnews_ts'] = empty($_POST['fastnews_ts']) ? '00:00' : $_POST['fastnews_ts'];
		$_POST['fastnews_te'] = empty($_POST['fastnews_te']) ? '00:00' : $_POST['fastnews_te'];
		$arr = array($_POST['fastnews_t'], str_replace('&nbsp;', ' ', $_POST['fastnews']), htmlentities($_POST['fastnews_l'], ENT_QUOTES), $_POST['fastnews_c'], $_POST['fastnews_ts'], $_POST['fastnews_te']);
		$all_together = stripslashes(implode('||', $arr));
		$all_together = preg_replace(array('/<(\?|\%)\=?(php)?/', '/(\%|\?)>/'), array('',''), $all_together); // remove old-asp tags, php short-tags, php echo tags, and normal php tags
		$all_together = strip_onlyfc($all_together, $strip_tags); // strip_only function - replace tags + attributes but leaves contents
		if ($style_attr == '0') {
			$all_together = preg_replace('/(<[^>]+) style=".*?"/i', '$1', $all_together); // remove style attribute from tags
			}
		$datefile = str_replace('/', '_', ($_POST['fastnews_d'])).'_'.$_POST['fastnews_d2'].'_'.$_POST['fastnews_d3'].'_'.$_POST['fastnews_d4'].'.txt';
		if ( fileAllowed($entry_root, $editfile) ) {
			writeContent($entry_root, $editfile, $all_together, 'w');
			rename($entry_root.$editfile, $entry_root.$datefile);
			@rename($entry_status.$editfile, $entry_status.$datefile);
			}
		iCalfc($ical_file, $entry_root, $entry_status, $website_title, $domain, $time_loc);
		WriteLogsfc($action='SAVE', $log_file, $_SESSION['fcusername'], $_POST['fastnews_t']);
		header("Location: index.php?action_edit=edit&editfile=".$datefile."&page=".$_SESSION['page'] );
		exit();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='create') ) { // create new entry
		$entry_title = date('Y_m_d_H_i').'_'.time(true);
		writeContent($entry_root, $entry_title.'.txt', "Type an event title here||<p>Type your event description here</p>||Paste an event link here||- no category -||00:00||00:00", 'w+');
		writeContent($entry_status, $entry_title.'.txt', 'inactive', 'w');
		WriteLogsfc($action='NEW EVENT', $log_file, $_SESSION['fcusername'], $data_t);
		header("Location: index.php?action_edit=edit&editfile=".$entry_title.".txt&page=1" );
		exit();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='inactive') ) { // hide entry
		$inactivefile = $_GET['inactivefile'];
		writeContent($entry_status, $inactivefile, 'inactive', 'w');
		$all_data = @file_get_contents($entry_root.$inactivefile);
		list($data_t) = explode("||", $all_data);
		iCalfc($ical_file, $entry_root, $entry_status, $website_title, $domain, $time_loc);
		WriteLogsfc($action='UNPUBLISH', $log_file, $_SESSION['fcusername'], $data_t);
		header("Location: index.php?page=".$_SESSION['page'] );
		exit();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='inactive_all') ) { // hide all entries
		foreach($all_events as $event){
			writeContent($entry_status, $event, 'inactive', 'w');
			}
		iCalfc($ical_file, $entry_root, $entry_status, $website_title, $domain, $time_loc);
		WriteLogsfc($action='UNPUBLISH ALL', $log_file, $_SESSION['fcusername'], '');
		header("Location: index.php?page=".$_SESSION['page'] );
		exit();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='active') ) { // show entry
		$activefile = $_GET['activefile'];
		unlink($entry_status.$activefile); 
		$all_data = @file_get_contents($entry_root.$activefile);
		list($data_t) = explode("||", $all_data);
		iCalfc($ical_file, $entry_root, $entry_status, $website_title, $domain, $time_loc);
		WriteLogsfc($action='PUBLISH', $log_file, $_SESSION['fcusername'], $data_t);
		header("Location: index.php?page=".$_SESSION['page'] );
		exit();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='active_all') ) { // show all entries
		foreach($all_status as $event){
			unlink($entry_status.$event);
			}
		iCalfc($ical_file, $entry_root, $entry_status, $website_title, $domain, $time_loc);
		WriteLogsfc($action='PUBLISH ALL', $log_file, $_SESSION['fcusername'], '');
		header("Location: index.php?page=".$_SESSION['page'] );
		exit();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='delete') ) { // delete entry
		$delfile = $_GET['delfile']; 
		$all_data = @file_get_contents($entry_root.$delfile);
		list($data_t) = explode("||", $all_data);
		if ( fileAllowed($entry_root, $delfile) ) {
			unlink($entry_root.$delfile);
			@unlink($entry_status.$delfile);
			}
		iCalfc($ical_file, $entry_root, $entry_status, $website_title, $domain, $time_loc);
		WriteLogsfc($action='DELETE', $log_file, $_SESSION['fcusername'], $data_t);
		header("Location: index.php?page=".$_SESSION['page'] );
		exit();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='delete_inactive') ) { // delete all inactive entries
		foreach($all_status as $event){
			unlink($entry_root.$event);
			unlink($entry_status.$event);
			}
		iCalfc($ical_file, $entry_root, $entry_status, $website_title, $domain, $time_loc);
		WriteLogsfc($action='DELETE ALL INACTIVE', $log_file, $_SESSION['fcusername'], '');
		header("Location: index.php?page=".$_SESSION['page'] );
		exit();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='delete_all') ) { // delete all entries
		foreach($all_events as $event){
			unlink($entry_root.$event);
			@unlink($entry_status.$event);
			}
		iCalfc($ical_file, $entry_root, $entry_status, $website_title, $domain, $time_loc);
		WriteLogsfc($action='DELETE ALL', $log_file, $_SESSION['fcusername'], '');
		header("Location: index.php" );
		exit();
		}

	if( (isset($_POST['submit_delete_from'])=='Go') || ( (isset($_GET['action'])) && ($_GET['action']=='delete_from') ) ) { // delete on and between dates
		$start_date = str_replace('/', '_', ($_POST['start_date']));
		$end_date = str_replace('/', '_', ($_POST['end_date']));
		foreach($all_events as $event){
			$event_date = substr($event, 0, -21); // remove hours/mins from date
			if ( (($event_date >= $start_date) && ($event_date <= $end_date)) ) { // date within range
				unlink($entry_root.$event);
				@unlink($entry_status.$event);
				} 
			}
		iCalfc($ical_file, $entry_root, $entry_status, $website_title, $domain, $time_loc);
		WriteLogsfc($action='DELETE DATES', $log_file, $_SESSION['fcusername'], "$start_date - $end_date");
		header("Location: index.php?page=".$_SESSION['page'] );
		exit();
		}

	if( (isset($_POST['submit_copy_go'])=='Go') || ( (isset($_GET['action'])) && ($_GET['action']=='copy_go') ) ) { // copy on and between dates
		$copyfile = $_POST['copyfile'];
		$all_data = @file_get_contents($entry_root.$copyfile);
		list($data_t) = explode("||", $all_data);
		$dates = range(strtotime($_POST['copy_start_date']), strtotime($_POST['copy_end_date']), 86400); // 1 day = 86400 seconds
		$start_date = str_replace('/', '_', ($_POST['copy_start_date']));
		$end_date = str_replace('/', '_', ($_POST['copy_end_date']));
		$s = count($dates) > 1 ? 's' : '';
		if (count($dates) > 30 ) { 
			echo "<script>alert('It looks like you tried to copy this event to ".count($dates)." other date$s.\\n\\nSorry, you can only copy an event a maximum of 30 times per batch.'); window.location.href = '".$_SERVER['PHP_SELF']."?action=copy&copyfile=$copyfile&page=$page'</script>";
			} else {
			echo "<script>confirmAlert(\"".$_SERVER['PHP_SELF']."?action=copy_yes&copyfile=$copyfile&sd=$start_date&ed=$end_date&page=$page\", \"Are you sure you want to copy this event to ".count($dates)." other date$s?\")</script>";
			}
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='copy_yes') ) { // copy on and between dates
		$copyfile = $_GET['copyfile'];
		$all_data = @file_get_contents($entry_root.$copyfile);
		list($data_t) = explode("||", $all_data);
		$start_date = $_GET['sd'];
		$end_date = $_GET['ed'];
		list($sy, $sm, $sd) = explode('_', $start_date);
		list($ey, $em, $ed) = explode('_', $end_date);
		if ( fileAllowed($entry_root, $copyfile) ) {
			$copied_events = array("$sy-$sm-$sd"); // https://stackoverflow.com/a/16954436
			while(end($copied_events) < "$ey-$em-$ed"){
				$copied_events[] = date('Y-m-d', strtotime(end($copied_events).' +1 day'));
				}
			foreach($copied_events as $event){
				$eventfile = str_replace('-', '_', $event).'_00_00_'.time(true).'.txt';
				copy($entry_root.$copyfile, $entry_root.$eventfile);
				@copy($entry_status.$copyfile, $entry_status.$eventfile);
				}
			}
		iCalfc($ical_file, $entry_root, $entry_status, $website_title, $domain, $time_loc);
		WriteLogsfc($action='COPY EVENT', $log_file, $_SESSION['fcusername'], "$data_t $start_date - $end_date");
		header("Location: index.php?page=".$_SESSION['page'] );
		exit();
		}

	if ( (isset($_GET['action'])) && ($_GET['action']=='search') ) { // search (IE10+ formaction="?action=search&page=1")
		$search = trim($_POST['search']);
		foreach ($page_array as $page) {
			$content_entry = file_get_contents($entry_root.$page);
			list($news_title, $news_entry) = explode("||", $content_entry);
			if (stripos($news_title, $search) !== false || stripos($news_entry, $search) !== false) {
            			$search_array[] = $page;
				}
			}
		if (!empty($search_array)) { 
			$page_array = $search_array; 
			$per_page = 1000;
			}
		}

	$lines = count(file($log_file)); // delete old actions in log file
	if ($lines > $max_logs) {
		$oldlines = file($log_file); 
		$last = sizeof($oldlines) - 1; 
		unset($oldlines[$last]); 
		$fp = fopen($log_file, 'w'); 
		fwrite($fp, implode('', $oldlines)); 
		fclose($fp);
		}
		?>


<div class="fast-cal-container">

	<form id="formeditor1" name="formeditor1" method="post" action="<?php echo $_SERVER['PHP_SELF'];?>?action=save">
		Welcome back <?php echo $_SESSION['fcusername'];?> 
		<div class="fast-cal-headings">
			New&nbsp;Event:&nbsp;<a href="?action=create"><img src="fast_cal/images/page_add.png" alt="New Event" title="New Event" class="create"/></a> &nbsp;&nbsp;|&nbsp;&nbsp;
			Start&nbsp;Screen: <a href="index.php"><img src="fast_cal/images/refresh.png" alt="Start Screen" title="Start Screen" class="logout" /></a> &nbsp;&nbsp;|&nbsp;&nbsp; 
			<input type="text" name="search" value="Search..." class="field" onfocus="clearText(this)" onblur="clearText(this)" /><input type="submit" value="Go" onclick="document.getElementById('formeditor1').action='<?php echo $_SERVER['PHP_SELF'];?>?action=search&page=1'" /> &nbsp;&nbsp;|&nbsp;&nbsp; 
			Logout&nbsp;<?php echo $_SESSION['fcusername'];?>: <a href="?action=logout"> <img src="fast_cal/images/lock_open.png" alt="Logout <?php echo $_SESSION['fcusername'];?>" title="Logout <?php echo $_SESSION['fcusername'];?>" class="logout" /></a>
		</div>	
		<?php 
		if (isset($_GET['action_edit'])) {
			echo "<input type='hidden' id='editfile' name='editfile' value='$editfile' />";
			}

			if (isset($_GET['action_edit'])) { 
				echo "<div class='editor'>";
				echo "<span class='nav-outer'><span class='nav'>Event&nbsp;Title:</span><input type='text' id='editfile_t' name='fastnews_t' value='$data_t' class='field' onfocus='clearText(this)' onblur='clearText(this)' />&nbsp;&nbsp;|</span>";
				echo "<span class='nav-outer'><span class='nav'>Date:</span><input type='text' id='editfile_d' name='fastnews_d' value='$data_d' class='field-short' readonly/><input type='hidden' id='editfile_d2' name='fastnews_d2' value='$data_d2'/><input type='hidden' id='editfile_d3' name='fastnews_d3' value='$data_d3'/><input type='hidden' id='editfile_d4' name='fastnews_d4' value='$data_d4'/>&nbsp;<img src='fast_cal/images/calendar.png' class='create' alt='Change Date' title='Change Date' onclick='displayDatePicker(\"fastnews_d\", false, \"ymd\", \"\/\");' />&nbsp;&nbsp;|</span>";
				echo "<span class='nav-outer'><span class='nav'>Start&nbsp;Time:</span><input type='time' step='900' id='editfile_ts' name='fastnews_ts' value='$data_ts' class='field-short' title='24hr'/>&nbsp;&nbsp;|</span>";
				echo "<span class='nav-outer'><span class='nav'>End&nbsp;Time:</span><input type='time' step='900' id='editfile_te' name='fastnews_te' value='$data_te' class='field-short' title='24hr' />&nbsp;&nbsp;|</span>";
				echo CategoryDropdownfc($categories, $data_c);
				echo "<span class='nav-outer'><span class='nav'>Optional&nbsp;URL:</span><input type='text' id='editfile_l' name='fastnews_l' value='$data_l' class='field' onfocus='clearText(this)' onblur='clearText(this)' /></span><br/>&nbsp;";
				echo "<textarea name='fastnews' cols='80' rows='10'>$data</textarea>";
				echo "</div>";
				}
			?>
	</form>


	<div class="entry-manager-container">

<?php 

	if ( (isset($_GET['action'])) && ($_GET['action']=='copy') ) { // copy event
		$copyfile = $_GET['copyfile'];
		$all_data = @file_get_contents($entry_root.$copyfile);
		list($data_t) = explode("||", $all_data);
		echo "<div class='copy-wrap'>";
		echo "<form id='' name='' method='post' action='".$_SERVER['PHP_SELF']."?action=copy_go&page=$page'>";
		echo "<input type='hidden' id='copyfile' name='copyfile' value='$copyfile' />";
		echo "<b>Copy Event:</b> \"$data_t\"<br/><br/>";
		echo "From: <input type='text' id='copy_start_date' name='copy_start_date' value='".date('Y/m/d')."' class='field-short' readonly/>&nbsp;<img src='fast_cal/images/calendar.png' class='create' alt='Start Date' title='Start Date' onclick='displayDatePicker(\"copy_start_date\", false, \"ymd\", \"\/\");' />&nbsp;&nbsp";
		echo "To: <input type='text' id='copy_end_date' name='copy_end_date' value='".date('Y/m/d')."' class='field-short' readonly/>&nbsp;<img src='fast_cal/images/calendar.png' class='create' alt='End Date' title='End Date' onclick='displayDatePicker(\"copy_end_date\", false, \"ymd\", \"\/\");' />&nbsp;&nbsp;";
		echo "Copy Event: <input type='submit' name='submit_copy_go' value='Go' title='Copy Event' class='copy' /> &nbsp;&nbsp;|&nbsp;&nbsp; ";
		echo "Cancel: <a href='index.php' title='Cancel'><img src='fast_cal/images/cross.png' alt='Cancel' class='delete' /></a><br/><br/>";
		echo "</form></div>";
		}

	if (!empty($search_array)) {
		echo '<div class="heading"><div class="old-new">Search Results&nbsp; ('.count($search_array).' matches found)</div>';
		} else {
		if ( $entry_sort == '0') { 
			echo '<div class="heading"><div class="old-new">Event Manager&nbsp; (sorted oldest to newest - oldest on top)</div>';
			} else {
			echo '<div class="heading"><div class="new-old">Event Manager&nbsp; (sorted newest to oldest - newest on top)</div>';
			} 
		} 
		echo '<div class="live-entries">Live Events: '.$live_entries.'</div></div>';

		echo "<div class='editor'><br/>&nbsp;";
		echo "<form id='' name='' method='post' action='".$_SERVER['PHP_SELF']."?action=delete_from&page=$page' onsubmit='return confirm(\"Are you sure you want to delete all events on and between these dates?\");'>";
		echo "<span class='nav-outer'><span class='nav'>Publish&nbsp;All:</span><a href='".$_SERVER['PHP_SELF']."?action=active_all&page=$page' title='Publish All Events'><img src='fast_cal/images/active.png' alt='Publish All Events' class='visible'/></a>&nbsp;&nbsp;|</span>";
		echo "<span class='nav-outer'><span class='nav'>Unpublish&nbsp;All:</span><a href='".$_SERVER['PHP_SELF']."?action=inactive_all&page=$page' title='Unpublish All Events'><img src='fast_cal/images/inactive.png' alt='Unpublish All Events' class='hidden'/></a>&nbsp;&nbsp;|</span>";
		echo "<span class='nav-outer'><span class='nav'>Delete&nbsp;All:</span><a href='javascript:confirmAlert(\"".$_SERVER['PHP_SELF']."?action=delete_all&page=$page\", \"Are you sure you want to delete all events?\\n\\nWARNING: This will completely empty the calendar\")' title='Delete All Events'><img src='fast_cal/images/cross.png' alt='Delete All Events' class='delete'/></a>&nbsp;&nbsp;|</span>";
		echo "<span class='nav-outer'><span class='nav'>Delete&nbsp;From:</span><input type='text' id='start_date' name='start_date' value='".date('Y/m/d')."' class='field-short' readonly/>&nbsp;<img src='fast_cal/images/calendar.png' class='create' alt='Start Date' title='Start Date' onclick='displayDatePicker(\"start_date\", false, \"ymd\", \"\/\");' />&nbsp;</span>";
		echo "<span class='nav-outer'><span class='nav'>To:</span><input type='text' id='end_date' name='end_date' value='".date('Y/m/d')."' class='field-short' readonly/>&nbsp;<img src='fast_cal/images/calendar.png' class='create' alt='End Date' title='End Date' onclick='displayDatePicker(\"end_date\", false, \"ymd\", \"\/\");' />&nbsp;&nbsp;</span>";
		echo "<input type='submit' name='submit_delete_from' value='Go' title='Delete Events'>&nbsp;&nbsp;|</span>";
		echo "<span class='nav-outer'><span class='nav'>Delete&nbsp;All&nbsp;Unpublished:</span><a href='javascript:confirmAlert(\"".$_SERVER['PHP_SELF']."?action=delete_inactive&page=$page\", \"Are you sure you want to delete all unpublished events?\")' title='Delete All Unpublished Events'><img src='fast_cal/images/cross.png' alt='Delete All Unpublished Events' class='delete'/></a>";
		echo '</form></div>';
		?>

	<br style="clear:both"/>

<?php 

	echo "<table id='page-list' class='tablesorter'><thead><tr><th class='left entry-text'><a href='' title='Click to Sort'>Event Title</a></th><th><a href='' title='Click to Sort'>Date</a></th><th><a href='' title='Click to Sort'>Time</a></th><th class='left entry-text'><a href='' title='Click to Sort'>Event Description</a></th><th><a href='' title='Click to Sort'>Category</a></th><th><a href='' title='Click to Sort'>Edit</a></th><th><a href='' title='Click to Sort'>Copy</a></th><th><a href='' title='Click to Sort'>Status</a></th><th><a href='' title='Click to Sort'>Delete</a></th></tr></thead><tbody>";

		if ($entry_sort == 0 ) {
			sort ($page_array); // sort pages a-z (oldest on top)
			} else {
			rsort ($page_array); // sort pages z-a (newest on top)
			}
   
		$file_count = count($page_array);
		$page_count = ceil( $file_count / $per_page );
		$page = ( isset($_GET['page']) && is_numeric($_GET['page']) ) ? (int) $_GET['page'] : 1;
		if( $page > $page_count ) { $page = $page_count; }
		if( $page < 1 ) { $page = 1; }
		$total_on_page = $per_page - ( ( $page * $per_page ) - $file_count );   
		$offset = ( ( $page - 1 ) * $per_page );   
		if ( $total_on_page < $per_page ) { $per_page = $total_on_page; }

		if ( $pagination == 0 || $pagination == 2 ) {
			showPaginationfc($page,$page_count,$range); // show pagination
			}
   
		for ( $i = $offset; $i < ( $offset + $per_page ); $i++ ) {

			$content_entry = file_get_contents($entry_root.$page_array[$i]);
			$contentpage_current = $page_array[$i];
			$entry = str_replace($entry_root, '', $page_array[$i]);
			$name = str_replace($entry_root, '', substr($page_array[$i],0,strrpos($page_array[$i],'.')) );
			$created = explode("_", $name);
			$year = substr($created[0], -2); 
			$month = date('M', mktime(0, 0, 0, $created[1], 10));
			$day = $created[2];
			$min = $created[4];

			list($news_title, $news_entry, $news_link, $news_category, $time_start, $time_end) = explode("||", $content_entry);

			$estatus_file = $entry_status.$entry;
			$estatus = @file_get_contents($estatus_file);

			$red = "<a href='".$_SERVER['PHP_SELF']."?action=active&activefile=$entry&page=$page' title='Unpublished (click to publish)'><img src='fast_cal/images/inactive.png' alt='Unpublished (click to publish)' class='hidden'/></a>";
			$green = "<a href='".$_SERVER['PHP_SELF']."?action=inactive&inactivefile=$entry&page=$page' title='Published (click to unpublish)'><img src='fast_cal/images/active.png' alt='Published (click to unpublish)' class='visible'/></a>";

			if (( $news_link == 'Paste an event link here' ) || ( $news_link == ' ' )) { 
				$link = "<a href='javascript:void(0);' style='cursor:default;'>"; 
				} else {
				$link = "<a href='$news_link' target='_blank'>"; 
				}

			if ( $time_start == '00:00' && $time_end == '00:00' ) { 
				$time = '<span class="no-content"><i>- no time -</i></span>'; 
				} else {
				$time = $time_start.'<br/>'.$time_end; 
				}

			if ( $news_entry == '<p>Type your event description here</p>' ) { 
				$news_entry = '';
				}

			if ( $news_category == '- no category -' ) { 
				$category = '<span class="no-content"><i>- no category -</i></span>'; 
				} else {
				$category = $news_category; 
				}

			if ( $estatus == 'inactive' ) { 
				$status = $red; 
				} else {
				$status = $green; 
				}

			echo "<tr><td class='left nowrap'>$link$news_title</a></td><td class='width'><span class='mini'>$year$created[1]$day$created[3]$min</span>$day-$month-$year</td><td>$time</td><td class='left news-link' width='100%'>$news_entry</td><td>$category</td><td><a href='".$_SERVER['PHP_SELF']."?action_edit=edit&editfile=$entry&page=$page' title='Edit Event'><img src='fast_cal/images/page_edit.png' alt='Edit Event' class='edit'/></a></td><td><a href='".$_SERVER['PHP_SELF']."?action=copy&copyfile=$entry&page=$page' title='Copy Event'><img src='fast_cal/images/page_copy.png' alt='Copy Event' class='copy'/></a></td><td>$status</td><td><a href='javascript:confirmAlert(\"".$_SERVER['PHP_SELF']."?action=delete&delfile=$entry&page=$page\", \"Are you sure you want to delete this event?\")' title='Delete Event'><img src='fast_cal/images/cross.png' alt='Delete Event' class='delete'/></a></td></tr>";
    			}

		echo "</tbody></table>";

		if ( $pagination == 1 || $pagination == 2 ) {
			showPaginationfc($page,$page_count,$range); // show pagination
			}
		?>

</div>

<?php } ?>