<?php 
/*
Fast Cal 1.0 - A fast, free and easy application for managing calendar events.
(C) 2011 Beverley Hooton (author website - http://fast-apps.co.uk/)

    Fast Cal is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// name of website
$website_title = 'My Website Calendar';

// website domain with trailing slash
$domain = 'http://www.mywebsite.com/';

// website URL to the folder where Fast Cal is stored, with trailing slash
$siteurl = 'http://www.mywebsite.com/fast_cal_v1_0/';

// website root path to the folder where Fast Cal is stored with trailing slash
// $rooturl = '/home/www/mywebsite.com/fast_cal_v1_0/'; // below setting should work automatically but if not, set root path manually
$rooturl = dirname(realpath(dirname(__FILE__))).'/';

// usernames and passwords   -   ('username' => 'password')
$logins = array(
	'fcadmin'	=> 'fcdemo', 
	'user2'		=> 'pass2', 
	'user3'		=> 'pass3'
	);

// event categories paired with CSS classes for colour-coding
// remember to add/modify the classes on the *right* in the CSS   -   ('Category' => 'class')
// also see .calendar-event and .calendar-legend-category CSS in 'examples/sample_calendar_list.php'
$categories = array(
	'Assessment' 	=> 'event-violet', 
	'Meeting' 	=> 'event-red', 
	'Trip / Visit' 	=> 'event-blue', 
	'Club / Sport' 	=> 'event-green',
	'Social Event' 	=> 'event-gold'
	);

// start calendar grid view from Sunday or Monday
// 'sun'; = Sunday, 'mon'; = Monday   -   default is Sunday
$start_day = 'sun';

// calendar day headings paired with CSS classes
// do not change the order of this array, or the classes on the *left*   -   ('class' => 'Day')
// also see .calendar-day-[class]:before content CSS in 'examples/sample_calendar.php'
$headings = array(
	'one'	=> 'Sun',
	'two'	=> 'Mon',
	'three'	=> 'Tue',
	'four'	=> 'Wed',
	'five'	=> 'Thu',
	'six'	=> 'Fri',
	'seven'	=> 'Sat'
	);

// time zone location for iCal event times   -   http://php.net/manual/en/timezones.php
$time_loc = 'Europe/London';

// how do you want the events to be sorted in the admin panel?
// 0; = oldest to newest (oldest on top), 1; = newest to oldest (newest on top)   -   default is newest to oldest
$entry_sort = 1;

// how many events do you want to display on a page in the admin panel? (page numbering automatically appears below)
$per_page = 5;

// where do you want to show the pagination links in the admin panel?
// 0; = top only, 1; = bottom only, 2; = both top and bottom   -   default is bottom only
$pagination = 1;

// how many pagination links to display either side of active page number in the admin panel? (includes first, next, previous, last)
$range = 5; 

// HTML tags to strip from entries
$strip_tags = array('span', 'div', 'img');

// do you want to allow use of the style="" attribute in entries? (advanced users only)
// 0; = no, 1; = yes   -   default is no
$style_attr = 0;

// maximum number of actions to keep in log file
$max_logs = 1000;




#### NO NEED TO EDIT PAST THIS LINE ####

// website root path to editable entries (.txt files) with trailing slash
$entry_root = $rooturl.'fast_cal/_entry/'; 

// website root path to entry status files with trailing slash
$entry_status = $rooturl.'fast_cal/_status/';

// website URL to iCal calendar.ics file
$ical_file = $rooturl.'fast_cal/calendar.ics';

// website root path to log file
$log_file = $rooturl.'fast_cal/log.txt';

?>