<?php
/*
Fast Cal 1.0 - A fast, free and easy application for managing calendar events.
(C) 2011 Beverley Hooton (author website - http://fast-apps.co.uk/)

    Fast Cal is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


// pagination
function showPaginationfc($page,$page_count,$range) {
	echo '<div class="pagination_admin pagination">';
	echo 'Page(s): ';
	if ( $page > 1 ) {
       		 echo '<a href="?page=1" title="First" class="button">&lt;&lt;</a> <a href="?page='.( $page - 1 ).'" title="Previous" class="button">&lt;</a> | ';
    		}
	for ( $num = ($page - $range); $num < ( ($page + $range) + 1); $num++ ) {
        	if( $num > 0 && $num <= $page_count ) {
            		if( $num == $page ) {
                		echo ' <span class="number">'.$num.'</span> | ';
            			} else {
                		echo ' <a href=?page='.$num.'>'.$num.'</a> | ';
            			}
        		}
   		 }
	if ( $page != $page_count ) {
        	echo ' <a href="?page='.( $page + 1 ).'" title="Next" class="button">&gt;</a> <a href="?page='.$page_count.'" title="Last" class="button">&gt;&gt;</a> ';
    		}
	echo '</div>';
	}


function strip_onlyfc($str, $tags, $stripContent = false) { 
	$content = ''; 
	if(!is_array($tags)) { 
		$tags = (strpos($str, '>') !== false ? explode('>', str_replace('<', '', $tags)) : array($tags)); 
		if(end($tags) == '') array_pop($tags); 
		} 
	foreach($tags as $tag) { 
		if ($stripContent) 
			$content = '(.+</'.$tag.'[^>]*>|)'; 
         	$str = preg_replace('#</?'.$tag.'[^>]*>'.$content.'#is', '', $str); 
		} 
	return $str; 
	} 
//$str = '<font color="red">red</font> text'; 
//$tags = 'font'; 
//$a = strip_onlyfc($str, $tags); // strips html tags + attributes but leaves contents - result: "red text" 
//$b = strip_onlyfc($str, $tags, true); // strips html tags + attrubutes + contents - result: "text"


function normalizePath($path) {
	$parts = array();// Array to build a new path from the good parts
	$path = str_replace('\\', '/', $path);// Replace backslashes with forwardslashes
	$path = preg_replace('/\/+/', '/', $path);// Combine multiple slashes into a single slash
	$segments = explode('/', $path);// Collect path segments
	$test = '';// Initialize testing variable
	foreach ($segments as $segment) {
        	if ($segment != '.') {
			$test = array_pop($parts);
			if (is_null($test)) { $parts[] = $segment; }
            		else if($segment == '..') {
				if ($test == '..') { $parts[] = $test; }
				if ($test == '..' || $test == '') { $parts[] = $segment; }
			} else {
				$parts[] = $test;
				$parts[] = $segment;
				}
			}
		}
	return implode('/', $parts);
	}


function fileAllowed($root, $file) {
	$rpath = normalizePath(realpath($root.$file));
	$root = normalizePath($root);
	if (strpos($rpath, $root) === 0) { // Check that $rpath is within allowed directory
		if ( file_exists($root.$file) && strpos($root.$file, '.txt',1) ) {
			return true;
			}
		}
	}


function writeContent($root, $file, $data, $flag) {
	$fp = fopen($root.$file, $flag);
	fwrite($fp, $data);
	fclose($fp);
	}


function WriteLogsfc($action, $log_file, $who, $wtitle) { 
	$lines = file($log_file);
	$fpl = fopen($log_file,'w+');
	$log_file_action = date('jS M Y, h:ia').' - '.$who.' ['.$action.']: '.$wtitle;
	fwrite($fpl,$log_file_action."\r\n");
	foreach ($lines as $line) { fwrite( $fpl, $line); }
	fclose($fpl);
	} 


function CategoryDropdownfc($categories, $category) {
	ksort($categories);
	echo '<span class="nav-outer"><span class="nav">Category:</span><select name="fastnews_c" class="select-category">';
	echo "\n<option value='- no category -' > - no category - </option>\n";
	foreach($categories as $key => $val) {
		if ($category == $key) { 
			$chosen = "selected='selected'"; 
			} else { 
			$chosen = ''; 
			}
		echo "<option value='$key' $chosen > &nbsp; $key</option>\n";
		}
	echo "</select>&nbsp;&nbsp;|</span>";
	}


function getAllFilesfc($dir) {
	$hd = opendir($dir);
	$files = array(); // (re)set this as empty 
	while (false !== ($file = readdir($hd))) {
		if ( ($file!='..') && ($file!='.') ) { // add files to exclude from entry list as required
            		$files[] = $file;
			} 	
		}
	return $files;
	}


function getMonthEventsfc($dir, $status, $month, $year) {
	$dh = opendir($dir);
	$files = array(); // (re)set this as empty
	while (false !== ($file = readdir($dh)) ) {	
		$hidefile = (@file_get_contents($status.basename($file)) == 'inactive') ? $file : '';
		$hidefile .= (substr(basename($file), 0, -24) ==  $year.'_'.date('m', mktime(0,0,0,$month,10))) ? '' : $file;
		if ($file!='.' && $file!='..' && $file!=$hidefile) {
 			$files[] = $dir.$file;  
			}
		}
	return $files;
	}


function getAllEventsfc($dir, $status) {
	$dh = opendir($dir);
	$files = array(); // (re)set this as empty
	while (false !== ($file = readdir($dh)) ) {	
		$hidefile = (@file_get_contents($status.basename($file)) == 'inactive') ? $file : '';
		if ($file!='.' && $file!='..' && $file!=$hidefile) {
 			$files[] = $dir.$file;  
			}
		}
	asort ($files);
	return $files;
	}


function find_string_in_array_itemfc($myarray, $stringtocheck) {
	foreach ($myarray as $name) {
		if (stripos($name, $stringtocheck) !== false) {
			return true;
			}
		}
	}


function ical_split($preamble, $value) { // https://gist.github.com/hugowetterberg/81747
	$value = trim($value);
	$value = strip_tags($value);
	$value = preg_replace('/\n+/', ' ', $value);
	$value = preg_replace('/\s{2,}/', ' ', $value);
	$preamble_len = strlen($preamble);
	$lines = array();
	while (strlen($value)>(75-$preamble_len)) {
		$space = (75-$preamble_len);
		$mbcc = $space;
		while ($mbcc) {
			$line = mb_substr($value, 0, $mbcc);
			$oct = strlen($line);
			if ($oct > $space) {
				$mbcc -= $oct-$space;
				} else {
				$lines[] = $line;
				$preamble_len = 1; // Still take the tab into account
				$value = mb_substr($value, $mbcc);
				break;
				}
			}
		}
	if (!empty($value)) {
		$lines[] = $value;
		}
	return join($lines, "\n\t");
      }


function dateToCalfc($timestamp) { // https://gist.github.com/jakebellacera/635416
	return date('Ymd\THis\Z', $timestamp); 
	}


function escapeStringfc($string) { // https://gist.github.com/jakebellacera/635416
	return preg_replace('/([\,;])/','\\\$1', $string); 
	}


function iCalfc($ical_file, $entry_root, $entry_status, $website_title, $domain, $loc) {
	$data_start = "
BEGIN:VCALENDAR
VERSION:2.0
METHOD:PUBLISH
X-WR-CALNAME:$website_title
CALSCALE:GREGORIAN
PRODID:-//$domain//$website_title//EN
";
	writeContent('', $ical_file, $data_start, 'w+');
	foreach (getAllEventsfc($entry_root, $entry_status) as $value){
		$created = explode("_", substr(basename($value),0,strrpos(basename($value),'.'))); // explode at '_' and strip the .txt extension  
		$segment = explode("||", file_get_contents($value));
		$segment[5] = ($segment[5] == '00:00') ? '23:59' : $segment[5];
		$timestamp_start = strtotime($created[2].'-'.$created[1].'-'.$created[0].' '.$segment[4]); 
		$timestamp_end = strtotime($created[2].'-'.$created[1].'-'.$created[0].' '.$segment[5]); 
		$title = $segment[0];
		//$entry = html_entity_decode($segment[1]);
		$entry = $segment[1] == '<p>Type your event description here</p>' ? '' : html_entity_decode($segment[1]);
		$link = $segment[2] == 'Paste an event link here' || $segment[2] == ' ' ? '' : $segment[2];
		$cat = $segment[3] == '- no category -' ? '' : $segment[3];
		$desc = preg_replace("/&#?[a-z0-9]{2,8};/i","", strip_tags($entry)); // remove html special characters
		$fulldesc = ical_split('DESCRIPTION:', escapeStringfc($desc).' '.escapeStringfc($link));
		$data = "BEGIN:VEVENT
DTSTART;TZID=".$loc.":".dateToCalfc($timestamp_start)."
DTEND;TZID=".$loc.":".dateToCalfc($timestamp_end)."
DTSTAMP:".dateToCalfc(time())."
SUMMARY:".escapeStringfc($title)."
UID:".uniqid()."
SEQUENCE:0
DESCRIPTION:".$fulldesc."
CATEGORIES:".escapeStringfc($cat)."
URL;VALUE=URI:".escapeStringfc($link)."
END:VEVENT
";
		writeContent('', $ical_file, $data, 'a+');
		}
writeContent('', $ical_file, "END:VCALENDAR", 'a+');
	}


function draw_calendarfc($month, $year, $array, $startday, $headings, $categories, $domain){ // adapted from https://davidwalsh.name/php-calendar
	$calendar = '<table class="calendar">';

	if ($startday == 'sun') {
		$running_day = date('w',mktime(0,0,0,$month,1,$year)); // week starts on Sunday
	} else if ($startday == 'mon') {
		$v = $headings['one'];
		unset($headings['one']);
		$headings['one'] = $v; 
		$running_day = date('w',mktime(0,0,0,$month,1,$year)-1); // week starts on Monday
		}

	$days_in_month = date('t',mktime(0,0,0,$month,1,$year));
	$days_in_this_week = 1;
	$day_counter = $event_count = 0;
	$dates_array = array();

	$calendar.= '<thead><tr class="calendar-row"><th class="calendar-day-head">'.implode('</th><th class="calendar-day-head">',$headings).'</th></tr></thead>';
	$calendar.= '<tr class="calendar-row">';

	for($x = 0; $x < $running_day; $x++): // blanks
		$calendar.= '<td class="calendar-day-np"> </td>';
		$days_in_this_week++;
	endfor;

	for($list_day = 1; $list_day <= $days_in_month; $list_day++):

		if (date('j').'-'.date('n').'-'.date('Y') == $list_day.'-'.$month.'-'.$year) {
			$today = ' calendar-day-today';
			} else {
			$today = '';
			}

		if(find_string_in_array_itemfc($array, $year.'_'.date('m', mktime(0,0,0,$month,10)).'_'.date('d', mktime(0,0,0,0,$list_day,10)))) {
			$has_event = ' has-event'; // found entry date in array in this format 'yyyy_mm_dd'
			} else {
			$has_event = '';
			}

		$heading_keys = array_keys($headings);
		$day_class = ' calendar-day-'.$heading_keys[$days_in_this_week -1];

		$calendar.= '<td class="calendar-day'.$day_class.$has_event.$today.'">';
			$calendar.= '<span class="day-number">'.$list_day.'</span>'; // day number

	foreach ($array as $value) { 
		$created = explode("_", substr(basename($value),0,strrpos(basename($value),'.'))); // explode at '_' and strip the .txt extension  
		$mnth = date('M', mktime(0, 0, 0, $created[1], 10));
		$day = date('j', mktime(0, 0, 0, 0, $created[2], 10));	
		$wday = date('l', strtotime("$day-$mnth-$created[0]")); // D or l
		$th = date('S', mktime(0, 0, 0, 0, $day, 10));

		$segment = explode("||", file_get_contents($value));
		$news_title = utf8_encode($segment[0]);
		$news_entry = utf8_decode($segment[1]);
		$news_link = $segment[2];
		$news_cat = $segment[3];
		$tags = array('p'); // strip_only function - html tags to be stripped (will strip differing contents of title tag too)
		$description = strip_onlyfc($news_entry, $tags); // strip_only function - replace tags + attributes but leaves contents

		if ( $segment[4] == '00:00' && $segment[5] == '00:00' ) { 
			$time = ''; 
			} else {
			$time = '<span class="calendar-event-popup-time">Time: '.$segment[4].' - '.$segment[5].'</span>'; 
			}

		if (( $news_link == 'Paste an event link here' ) || ( $news_link == ' ' )) { 
			$link = '';
			}
			else if (strpos($news_link, $domain) !== false) { // check if link is from same domain
				$news_link = str_replace(' ', '%20', $news_link);
				if (strpos($news_link, '/userfiles/') !== false) { // check if it's an internal userfile
					$link = "<a class=\"more\" href=\"$news_link\" title=\"View the file for '$news_title'...\" target=\"_blank\">View File...</a>"; 
					} else { // it's an internal web page
					$news_file = explode('.', $news_link); // breaks up string
 					$extension = array_pop($news_file); // pops off last element in array
 					$news_file_noext = implode('.', $news_file); // makes new array
					$news_file_noext = str_replace($domain, '', $news_file_noext);

					$link = "<a class=\"more\" href=\"$news_link\" title=\"Read more about '$news_title'...\">Read More...</a>"; 
					}
			} else { // link is from an external domain
			$link = "<a class=\"more\" href=\"$news_link\" title=\"Visit now to learn about '$news_title'...\" target=\"_blank\">Visit Now...</a>"; 
			}

		if ( $news_cat == '- no category -' ) { 
			$cat = $cat_class = ''; 
			} else {
			$cat = '<span class="calendar-event-popup-cat">[Category: '.$news_cat.']</span>'; 
			if (array_key_exists($news_cat, $categories)) {
				$cat_class = ' has-cat '.$categories[$news_cat];
				} 
			}

		if ( $description != '' && $description != 'Type your event description here') {
			$popup_class = ' has-popup';
			$tabindex = '';
			$popup = '
					<span class="calendar-event-popup">
					<span class="calendar-event-popup-title">'.$news_title.'</span>
					<span class="calendar-event-popup-content">'.$time.$description.'<br/>'.$link.$cat.'</span>
					<span class="calendar-event-popup-date">'.$wday.', '.$day.$th.' '.$mnth.' '.$created[0].'</span>
					<a href="javascript:void(0)" class="calendar-event-popup-close">&times;</a>
				</span>
				';
			} else {
			$popup_class = ' no-popup';
			$tabindex = 'tabindex="-1"';
			$popup= '';
			}

		if ( ($year == $created[0]) && ($month == $created[1]) && ($list_day == $day) ) { 
			$event_count++;
			$calendar.= '<span class="calendar-event'.$popup_class.$cat_class.'">
					<a href="javascript:void(0)" class="calendar-event-title" '.$tabindex.'><span>'.$news_title.'</span></a>
					'.$popup.'
			</span>'; 
			}
		}
			
		$calendar.= '</td>';
		if($running_day == 6):
			$calendar.= '</tr>';
			if(($day_counter+1) != $days_in_month):
				$calendar.= '<tr class="calendar-row">';
			endif;
			$running_day = -1;
			$days_in_this_week = 0;
		endif;
		$days_in_this_week++; $running_day++; $day_counter++;
	endfor;

	if($days_in_this_week < 8 && $days_in_this_week !=1):
		for($x = 1; $x <= (8 - $days_in_this_week); $x++):
			$calendar.= '<td class="calendar-day-np"> </td>';
		endfor;
	endif;

	$calendar.= '</tr>';
	if ($event_count == 0) {
		$calendar.= '<tr class="calendar-row no-events"><td colspan="7"><span>No events this month</span></td></tr>';
		}
	$calendar.= '</tbody>';
	$calendar.= '</table>';
	return $calendar;
	}	

?>