<?php 

include_once('fast_cal/fast_cal_config.php'); // make sure this path is correct 
include_once('fast_cal/fast_cal_functions.php'); // make sure this path is correct 

$month = date('n'); // this month		     
$year = date('Y'); // this year
$events = getMonthEventsfc($entry_root, $entry_status, $month, $year); // this month's events

?> 

<div class="calendar-wrapper">
	<span class="calendar-ring calendar-ring-left"></span>
	<span class="calendar-ring calendar-ring-right"></span>
	<button id="calendar-prev" title="Previous month">&#9658;</button><button id="calendar-next" title="Next month">&#9658;</button>
	<span id="calendar">
	<?php echo '<a href="'.$siteurl.'examples/sample_calendar_list.php?yr='.$year.'&m='.$month.'#'.strtolower(date('M')).'" class="calendar-month-text" title="View full page">'.date('M').' '.$year.'</a>
	'.draw_calendarfc($month, $year, $events, $start_day, $headings, $categories, $domain); // markup for the calendar can be changed in '../fast_cal_functions.php'
	?>
	</span>
</div>

<script>
function hasClass(el, cls){
	if (el.className.match('(?:^|\\s)'+cls+'(?!\\S)')) { return true; } 
	}
function addClass(el, cls){
	if (!el.className.match('(?:^|\\s)'+cls+'(?!\\S)')){ el.className += ' '+cls; } 
	}
function delClass(el, cls){
	el.className = el.className.replace(new RegExp('(?:^|\\s)'+cls+'(?!\\S)'),'');
	}
function addEventHandler(elem, event, fn, bub){
	if (elem.addEventListener){
		elem.addEventListener(event, fn, bub);
	} else if (elem.attachEvent){
		elem.attachEvent('on'+event, fn); 
		}
	}
function getEventTarget(evt){
	evt = evt || window.event;
	return evt.target || evt.srcElement;
	}
function prevElementSibling(el){
	if (el.previousElementSibling){ return el.previousElementSibling; } 
	else { el = el.previousSibling; while (el.nodeType !== 1) { return el.previousSibling; } }
	}
function calendarAJAX(el, inc){
	var post = 'inc='+inc; /* post string */
	var req = new XMLHttpRequest();
	req.open('POST', '<?php echo $siteurl;?>examples/ajax_calendar_next_prev_month.php', true);
	req.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
	req.onreadystatechange = function(){
		if (req.readyState != 4 || req.status != 200) return; 
		calendar.innerHTML = req.responseText;
		};
	req.send(post);
	}
function calendarPopup(evt, trigger, action){
	var elem = getEventTarget(evt);
	if (hasClass(elem, trigger)){ /* .calendar-event-title > span { pointer-events:none } for better touch activation */
		if (action == 'show'){ 
			addClass(elem, 'active'); 
		} else if (action == 'close'){ 
			delClass(prevElementSibling(elem.parentNode), 'active'); 
		} else if (action == 'hide'){ 
			setTimeout(function(){ delClass(prevElementSibling(elem), 'active') }, 500); 
			}
		}
	}

(function(){
	var calendar = document.getElementById('calendar'),
	calendar_inc = 0;

	addEventHandler(document.getElementById('calendar-next'), 'click', function(){ 
		++calendar_inc;
		calendarAJAX(this, calendar_inc);
		}, false);
	addEventHandler(document.getElementById('calendar-prev'), 'click', function(){ 
		--calendar_inc;
		calendarAJAX(this, calendar_inc);
		}, false);
	addEventHandler(calendar, 'mouseover', function(evt){ calendarPopup(evt, 'calendar-event-title', 'show'); }, false);
	addEventHandler(calendar, 'focus', function(evt){ calendarPopup(evt, 'calendar-event-title', 'show'); }, true);
	addEventHandler(calendar, 'click', function(evt){ calendarPopup(evt, 'calendar-event-popup-close', 'close'); }, false);
	addEventHandler(calendar, 'blur', function(evt){ calendarPopup(evt, 'calendar-event-popup-close', 'close'); }, true);
	addEventHandler(calendar, 'mouseleave', function(evt){ calendarPopup(evt, 'calendar-event-popup', 'hide'); }, true);
})();
</script>
	